Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Timer_Hash.h File Reference

`#include "ace/Timer_Hash_T.h"`
`#include "ace/Timer_Heap_T.h"`
`#include "ace/Timer_List_T.h"`

Include dependency graph for Timer_Hash.h:

This graph shows which files directly or indirectly include this file:

## Typedefs
typedef ACE_Timer_List_T< ACE_Event_Handler *, ACE_Hash_Upcall, ACE_Null_Mutex > | ACE_Hash_Timer_List
typedef ACE_Timer_Heap_T< ACE_Event_Handler *, ACE_Hash_Upcall, ACE_Null_Mutex > | ACE_Hash_Timer_Heap
typedef ACE_Timer_Hash_T< ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall< ACE_SYNCH_RECURSIVE_MUTEX >, ACE_SYNCH_RECURSIVE_MUTEX, ACE_Hash_Timer_List > | ACE_Timer_Hash
typedef ACE_Timer_Hash_Iterator_T< ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall< ACE_SYNCH_RECURSIVE_MUTEX >, ACE_SYNCH_RECURSIVE_MUTEX, ACE_Hash_Timer_List > | ACE_Timer_Hash_Iterator
typedef ACE_Timer_Hash_T< ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall< ACE_SYNCH_RECURSIVE_MUTEX >, ACE_SYNCH_RECURSIVE_MUTEX, ACE_Hash_Timer_Heap > | ACE_Timer_Hash_Heap
typedef ACE_Timer_Hash_Iterator_T< ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall< ACE_SYNCH_RECURSIVE_MUTEX >, ACE_SYNCH_RECURSIVE_MUTEX, ACE_Hash_Timer_Heap > | ACE_Timer_Hash_Heap_Iterator
## Variables
ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef ACE_Timer_Hash_Upcall< ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall< ACE_SYNCH_RECURSIVE_MUTEX >, ACE_SYNCH_RECURSIVE_MUTEX > | ACE_Hash_Upcall

## Detailed Description

Id
  Timer_Hash.h,v 1.11 2005/10/28 23:55:10 ossama Exp

Author:
  Darrell Brunsch <brunsch@cs.wustl.edu>

## Typedef Documentation

typedef ACE_Timer_Heap_T<ACE_Event_Handler *, ACE_Hash_Upcall, ACE_Null_Mutex> ACE_Hash_Timer_Heap

typedef ACE_Timer_List_T<ACE_Event_Handler *, ACE_Hash_Upcall, ACE_Null_Mutex> ACE_Hash_Timer_List

typedef ACE_Timer_Hash_T<ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall<ACE_SYNCH_RECURSIVE_MUTEX>, ACE_SYNCH_RECURSIVE_MUTEX, ACE_Hash_Timer_List> ACE_Timer_Hash

typedef ACE_Timer_Hash_T<ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall<ACE_SYNCH_RECURSIVE_MUTEX>, ACE_SYNCH_RECURSIVE_MUTEX, ACE_Hash_Timer_Heap> ACE_Timer_Hash_Heap

typedef ACE_Timer_Hash_Iterator_T<ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall<ACE_SYNCH_RECURSIVE_MUTEX>, ACE_SYNCH_RECURSIVE_MUTEX, ACE_Hash_Timer_Heap> ACE_Timer_Hash_Heap_Iterator

typedef ACE_Timer_Hash_Iterator_T<ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall<ACE_SYNCH_RECURSIVE_MUTEX>, ACE_SYNCH_RECURSIVE_MUTEX, ACE_Hash_Timer_List> ACE_Timer_Hash_Iterator

## Variable Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef ACE_Timer_Hash_Upcall<ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall<ACE_SYNCH_RECURSIVE_MUTEX>, ACE_SYNCH_RECURSIVE_MUTEX> ACE_Hash_Upcall